#ifndef _SHAPE_H_
#define _SHAPE_H_

#include "../csc321.h"
#include <vector>
#include "Point3.h"
#include "Vector3.h"

class Shape {
public:
	virtual ~Shape();
	virtual void draw();
protected:
	Shape();
	void addTriangle(const Point3& p1, const Point3& p2, const Point3& p3,
					 const Vector3& n1, const Vector3& n2, const Vector3& n3);
	std::vector<Point3> vertices;
	std::vector<Vector3> normals;
};

class Cylinder : public Shape {
public:
	Cylinder(int, int);
};



#endif /* _SHAPE_H_ */